
function [costdata,procdata,paradata]=costparametersinput()


mGasConstant = 8.3144621;         % J/(K * mol)
mTstartCompression = 273 + 40;     % Temperature before feed compression [K]
mAmbientPressure = 1.013;          % Pressure before feed compression [bar]
% Const mMinPermeatePressure = 0.2
minPressureRatio = 1.05;
mMaxCompressorPR = 4;              %Max compressor pressure ratio [-]
mMixtureCp = 0.9802;               %Cp for CO2/N2 mixture of 0.3/0.7

unit1=1;
unit2=2;

%-----------------------
%% Store cost parameter values into variable
mCostParam(1)=0.04;
mCostParam(2)=50;
mCostParam(3)=500;
mCostParam(4)=85;
mCostParam(5)=0;
mCostParam(6)=1.6;
mRotatingEquipmentEfficiency=0.8;
mNumberOfOperatingHours = 7446;
mProjectDuration = 25;
mNPVreferenceyear=1;
mDiscountRate = 8;
mDiscountFactor = 10.53;
mDirectFactor = 1;
mIndirectFactor = 1.375;
mConstructionPeriod = 3;
mOvernightFactor = 1;
mUnitaryCostOfMembraneModule = 39.5;
mMembraneFrameworkReferenceSize = 2000;
mMembraneFrameworkReferenceCost = 0;
mMembraneFrameworkReferenceCapacityScalePower = 0.7;
mMembraneFrameworkReferencePressureScalePower = 0.875;
mMembraneFrameworkReferencePressure = 55;
mCompressorFirstStageParameterA = 476.242600029007;
mCompressorSecondStageParameterA = 476.242600029007;
mCompressorThirdStageParameterA = 476.242600029007;
mExpanderParameterA = 355.134045882578;
mVacuumPumpParameterA = 952.485200058015;
mCoolerParameterA = 213.080427529547;
mOperatingAndMaintenancePercentageCost = 5;
mMembraneModuleLifetime = 5;
mMembraneReplacementFactor = 0.334713319497677;
mInitialCoolingWaterTemperature = 15 + 273;
mCoolingWaterTemperatureAfterCooling = 20 + 273;
mCoolingWaterHeatCapacity = 4.186;
mLMTD = 75.4550880191735;
mOverallHeatTransferCoefficient = 200;
mUnitaryCostOfElectricity = 0.105;
mUnitaryCostOfWaterCooling = 0.02;

%% Convert variable to array for storage
costdata(1,1)=mCostParam(1);
costdata(2,1)=mCostParam(2);
costdata(3,1)=mCostParam(3);
costdata(4,1)=mCostParam(4);
costdata(5,1)=mCostParam(5);
costdata(6,1)=mCostParam(6);
costdata(7,1)=mRotatingEquipmentEfficiency;
costdata(8,1)=mNumberOfOperatingHours;
costdata(9,1)=mProjectDuration;
costdata(10,1)= mNPVreferenceyear;
costdata(11,1) =mDiscountRate;
costdata(12,1) =mDiscountFactor ;
costdata(13,1) =mDirectFactor;
costdata(14,1) =mIndirectFactor ;
costdata(15,1) =mConstructionPeriod ;
costdata(16,1) =mOvernightFactor;
costdata(17,1) =mUnitaryCostOfMembraneModule;
costdata(18,1)= mMembraneFrameworkReferenceSize;
costdata(19,1)= mMembraneFrameworkReferenceCost;
costdata(20,1)= mMembraneFrameworkReferenceCapacityScalePower;
costdata(21,1)= mMembraneFrameworkReferencePressureScalePower ;
costdata(22,1) =mMembraneFrameworkReferencePressure;
costdata(23,1) =mCompressorFirstStageParameterA ;
costdata(24,1) =mCompressorSecondStageParameterA;
costdata(25,1) =mCompressorThirdStageParameterA;
costdata(26,1) =mExpanderParameterA ;
costdata(27,1) =mVacuumPumpParameterA ;
costdata(28,1) =mCoolerParameterA;
costdata(29,1) =mOperatingAndMaintenancePercentageCost;
costdata(30,1) =mMembraneModuleLifetime;
costdata(31,1) =mMembraneReplacementFactor ;
costdata(32,1) =mInitialCoolingWaterTemperature ;
costdata(33,1) =mCoolingWaterTemperatureAfterCooling ;
costdata(34,1) =mCoolingWaterHeatCapacity ;
costdata(35,1)=mLMTD;
costdata(36,1) =mOverallHeatTransferCoefficient ;
costdata(37,1) =mUnitaryCostOfElectricity ;
costdata(38,1) =mUnitaryCostOfWaterCooling ;

%% process data

mGammaConst1=-0.1025;
mGammaConst2=1.4019;

mFeedFlowVolume = 2034208;
mFeedPressure = 4;
mPermeatePressure = 1;
mInletTemperature = 30;

procdata(1,1)=mFeedFlowVolume; 
procdata(2,1)=mFeedPressure;
procdata(3,1)=mPermeatePressure;
procdata(4,1)=mInletTemperature;
procdata(5,1)=mGammaConst1;
procdata(5,2)=mGammaConst2;

%% Composition parameters

Comp(1)=0.141;
Comp(2)=0.82;
Comp(3)=0.039;
mMolarMassA=0.04401;
mMolarMassB=0.02801344;
mMolarMassC=0.016;
Permeance(1)=5.94;
Permeance(2)=0.1188;
Permeance(3)=0.85;

paradata(1,1)=Comp(1);
paradata(1,2)=Comp(2);
paradata(1,3)=Comp(3);
paradata(2,1)=mMolarMassA;
paradata(2,2)=mMolarMassB;
paradata(2,3)=mMolarMassC;
paradata(3,1)=Permeance(1);
paradata(3,2)=Permeance(2);
paradata(3,3)=Permeance(3);

