%% Solve for minimum cost
function [results,Yp,mArea,mStagecut,CCR,SpecificArea,ConsumedPower,mCaptureCost,mFeedPressure,mPermeatePressure]=solver(mArea, mFeedPressure, Permeance, mFeedFlowVolume, mPermeatePressure, Comp,mInletTemperature,mMolarMassA,mMolarMassB,mMolarMassC,dataspec,no, actval,linecounter,runspec)
 options=optimset('display','on','maxIter',1000,'PlotFcns',@optimplotfval); %,'PlotFcns',@optimplotfval
 [varPR, mCaptureCost]=fmincon(@optcost,20,[],[],[],[],1.01,20,[],options); 
% [varPR, mCaptureCost]=fmincon(@optcost,[20 0.2],[],[],[],[],[1.01 0.2],[20 0.967],[],options);

function mCaptureCost=optcost(x)
mFeedPressure=x(1);
mPermeatePressure=0.2;
if dataspec == 4
    [~,Yp,mArea,mStagecut,CCR,SpecificArea,ConsumedPower,mCaptureCost]=crossflowmainarea (mArea, mFeedPressure, Permeance, mFeedFlowVolume, mPermeatePressure, Comp,mInletTemperature,mMolarMassA,mMolarMassB,mMolarMassC,no);
else
    [~,Yp,mArea,mStagecut,CCR,SpecificArea,ConsumedPower,mCaptureCost]=crossflowmainnotarea (mFeedPressure, Permeance, mFeedFlowVolume, mPermeatePressure, Comp,dataspec, actval,mInletTemperature,mMolarMassA,mMolarMassB,mMolarMassC,no);
end
        sYpsA(linecounter)=Yp(1);
        sYpsB(linecounter)=Yp(2);
        sYpsC(linecounter)=Yp(3);
        sCCR(linecounter)=CCR;
        sStagecut(linecounter)=mStagecut;
        sArea(linecounter)=mArea;
        sFeedFlowVolume(linecounter)=mFeedFlowVolume;
        sFeedPressure(linecounter)=mFeedPressure;
        sPermeatePressure(linecounter)=mPermeatePressure;
        sSpecificArea(linecounter)=SpecificArea;
        sConsumedPower(linecounter)=ConsumedPower;
        smCaptureCost(linecounter)=mCaptureCost;
        sCompA(linecounter)=Comp(1);
end
%% Display results
if runspec==1
[results]=displayresult(sYpsA,sYpsB,sYpsC,sCCR,sStagecut,sArea,sFeedFlowVolume,sFeedPressure,sPermeatePressure,sSpecificArea,sConsumedPower,smCaptureCost,linecounter,sCompA);
else
    results=1;
end

end